org.apache.ode.bpel.compiler.bom

## Class PartnerLink

- java.lang.Object
- - org.apache.ode.bpel.compiler.bom.BpelObject
  - - org.apache.ode.bpel.compiler.bom.PartnerLink

- All Implemented Interfaces:
    SourceLocation

      public class PartnerLink
      extends BpelObject

  Representation of a BPEL `<partnerLink>` decleration.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `ATTR_LINENO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartnerLink(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMyRole()` Gets the 'myRole' of the partnerLink link.
    `java.lang.String` | `getName()` Name of the partnerLink link.
    `javax.xml.namespace.QName` | `getPartnerLinkType()` Get the partnerLink link type.
    `java.lang.String` | `getPartnerRole()` Get the 'partnerRole'
    `boolean` | `hasMyRole()` Returns `true` if partnerLink link has a 'myRole'
    `boolean` | `hasPartnerRole()` Determine if 'partnerRole' is set.
    `boolean` | `isInitializePartnerRole()` Determine if the partner role has to be initialized with default value

    - ### Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject

      `createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartnerLink

          public PartnerLink(org.w3c.dom.Element el)

  - ### Method Detail

    - #### getMyRole

          public java.lang.String getMyRole()

      Gets the 'myRole' of the partnerLink link.
      Returns:
        myRole

    - #### getName

          public java.lang.String getName()

      Name of the partnerLink link.
      Returns:
        partnerLink link name

    - #### getPartnerLinkType

          public javax.xml.namespace.QName getPartnerLinkType()

      Get the partnerLink link type.
      Returns:
        partnerLink link type

    - #### getPartnerRole

          public java.lang.String getPartnerRole()

      Get the 'partnerRole'
      Returns:
        partnerLink role

    - #### hasMyRole

          public boolean hasMyRole()

      Returns `true` if partnerLink link has a 'myRole'
      Returns:
        'myRole' is set.

    - #### hasPartnerRole

          public boolean hasPartnerRole()

      Determine if 'partnerRole' is set.
      Returns:
        `true` if partnerLink link has a 'partnerRole'

    - #### isInitializePartnerRole

          public boolean isInitializePartnerRole()

      Determine if the partner role has to be initialized with default value
      Returns:
        initialize